/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/check_if_iroi.c $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 Previously part of SuperSNARK
 */

#include <string.h>
#include <strings.h>

#include "check_if_iroi.h"
#include "experimenter.h"
#include "errorc.h"
#include "analyze.h"
#include "getfom.h"

void check_if_iroi(char * anaflname, //name of ANALYSIS file
		int * iroi_used //flag to be set if IROI fom is to be used
		)
{
	int stru, poin, hitr, usr1, usr2, usr3, usr4, usr5, iroi;

	char string[MAXLINESIZE], key1[50], line[MAXLINESIZE], key2[50],
			keywrd1[50], keywrd2[50];

	FILE *anafl; //ANALYSIS file

	*iroi_used = 0;

	//open anaflname for reading
	strcpy(line, "In check_if_iroi.c: error in file");
	sprintf(line, "%s %s at line ", line, anaflname);

	if ((anafl = fopen(anaflname, "r")) == NULL)
	{
		errorc("in check_if_iroi.c: error in opening file ", anaflname);
	}

	while (fgets(string, sizeof(string), anafl) != NULL)
	{
		if (strncasecmp(string, "comp", 4) == 0)
		{
			if ((strcasestr(string, "IROI") != NULL))
			{
				*iroi_used = 1;
			}
		}

	}

	fclose(anafl);

	return;

} //end of check_if_iroi ( )

