/*   
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/emap_CReadInp.cpp $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 ===========================================================================
 Read information of the input file and allocates the work space
 ===========================================================================
 */

#include <cstdio>

#include "blkdta.h"
#include "uiod.h"
#include "infile.h"
#include "blob.h"

#include "emap.h"   

void emap_class::ReadInp(INTEGER area, INTEGER nelem, INTEGER usrays,
		INTEGER prjnum, BOOLEAN* flag) // nelem is not used. hstau 6/9/2003, flag added 1/04
{
	INTEGER eval;
	BOOLEAN eol;
	INTEGER doit = CHAR2INT('e', 'v', 'a', 'l');

	//------ read parameters from input file
	///MAPEM.gamma1 = getnum(input, &eol);

	(*flag) = FALSE;
	MAPEM.gamma1 = InFile.getnum(TRUE, &eol);
	if (eol)
	{
		fprintf(output, "\n          **** error - must specify gamma ***");
		(*flag) = TRUE;
		return;
	}
	MAPEM.idxmax = 1;
	MAPEM.idymax = 1;
	MAPEM.mapevl = FALSE;

	INTEGER exp[1] =
	{ doit };
	eval = InFile.getwrd(FALSE, &eol, exp, 1);

	if (!eol)
		MAPEM.mapevl = TRUE;

	if (MAPEM.mapevl)
	{
		MAPEM.sclfactor = 1.0;
	}

	//------ write the parameters into the output file
	fprintf(output,
			"\n\n  -----------------------------------------------------------\n");

	fprintf(output,
			"\n   maximum a-posteriori probability expectation maximization");

	fprintf(output, "\n\n            gamma:%8.3f", MAPEM.gamma1);

	if (MAPEM.mapevl)
	{
		fprintf(output, "\n            evaluation flag is set ");

	}
	else
	{
		fprintf(output, "\n            evaluation flag is not set");
	}

	fprintf(output,
			"\n\n  -----------------------------------------------------------\n");

	//------ allocate space for the intermediate results

	MAPEM.qj = new REAL[area];

	if (Blob.pix_basis)
	{       //only when pixel
		MAPEM.Kx = new REAL[area];
		MAPEM.Sx = new REAL[area];
		MAPEM.Sjjinv = new REAL[area];
	}

	MAPEM.Wjj = new REAL[area];
	MAPEM.prj = new REAL[prjnum * usrays];

	return;
}
