/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/getnxt.cpp $
 $LastChangedRevision: 80 $
 $Date: 2014-07-01 21:01:54 -0400 (Tue, 01 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 GETNXT READS THE NEXT CARD FROM 'FILE' INTO THE ARRAY 'DATA'
 AND INITIALIZES 'PTR'. SET flag = .true.  IF AN ECHO OF INPUT
 IS NOT NEEDED

 */

#include <cstdlib>
#include <cstdio>

#include "blkdta.h"
#include "uiod.h"

#include "inputfile.h"

void InputFile_class::getnxt(BOOLEAN flag, BOOLEAN newline)
{

	int i;
	signed char ch;  // changed "char" to "signed char". lajos, Nov 18, 2004

	while (true)
	{
		// default value of parameter newline is TRUE
		if (newline)
			fprintf(output, "\n");

		// get line of characrers
		for (i = 0; i < DATASIZ; i++)     // bug 190 - swr - 12/09/05
		{
			if (((ch = fgetc(infile)) == '\n') || (ch == EOF))
				break;
			data[i] = ch < ' ' ? ' ' : ch; // bug 197 - replace control characters with a space - swr - 1/17/06
		};

		if (ch == EOF)
		{
			// END OF FILE CONDITION
			fprintf(output,
					"\n **** unexpected end of inputfile\n **** program aborted\n");
			exit(-1);
		}
		else
		{
			// read the rest of the line if more than DATASIZ characters
			while ((ch != '\n') && (ch != EOF))
				ch = fgetc(infile);  // added check for EOF. lajos, Nov 18, 2004

			data[i] = 0;     // bug 190 - swr - 12/21/05
			if (data[0] == '*')
				fprintf(output, "\n     <*> %s", &(data[1]));
			else
			{
				if (!(flag))
					fprintf(output, "\n     <#> %s", data);
			};
			// fil up the rest of the buffer with spaces
			for (; i < DATASIZ + 1; i++)
				data[i] = ' ';  // bug 190 - swr - 12/09/05

			ptr = -1;
			data[DATASIZ + 1] = 0; // terminate string - bug 190 - swr - 12/09/05

		}

		if (data[0] != '*')
			break;
	}
}
