/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/quad_back.cpp $
 $LastChangedRevision: 80 $
 $Date: 2014-07-01 21:01:54 -0400 (Tue, 01 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 THE BACK PROJECTIONS ARE STORED IN X AFTER CORRECTION TO AVRDEN
 */

#include <cstdio>

#include "blkdta.h"
#include "geom.h"
#include "ray.h"
#include "wray.h"
#include "anglst.h"

#include "quad.h"

void quad_class::back(REAL* x, INTEGER* list, REAL* weight)
{

	INTEGER i;
	INTEGER np;
	REAL dum;   // what is this variable for?? hstau
	INTEGER nr;
	INTEGER numb;
	REAL snorm;
	INTEGER nb;
	INTEGER ky;
	REAL zn;

	// ZERO OUT X

	for (i = 0; i < GeoPar.area; i++)
	{
		x[i] = 0.0;
	}

	// COMPUTE BACK PROJECTION

	if (!GeoPar.strip)
	{

		for (np = 0; np < GeoPar.prjnum; np++)
		{
			dum = Anglst.prdta(np, 1);  // should be Anglst.prdta(np, 0)? hstau
			for (nr = 0; nr < GeoPar.nrays; nr++)
			{
				wray(np, nr, list, weight, &numb, &snorm);
				if (numb > 0)
				{
					for (nb = 0; nb < numb; nb++)
					{
						ky = list[nb];
						x[ky] += Anglst.prdta(np, nr) * weight[nb];
					}
				}
			}
		}
		zn = (REAL) 1.0 / ((REAL) (GeoPar.prjnum));
	}
	else
	{
		for (np = 0; np < GeoPar.prjnum; np++)
		{
			dum = Anglst.prdta(np, 1);
			for (nr = 0; nr < GeoPar.nrays; nr++)
			{
				ray(np, nr, list, weight, &numb, &snorm);
				if (numb > 0)
				{
					for (nb = 0; nb < numb; nb++)
					{
						ky = list[nb];
						x[ky] += Anglst.prdta(np, nr);
					}
				}
			}
		}

		zn = (GeoPar.pixsiz * GeoPar.pixsiz) / ((REAL) (GeoPar.prjnum));

		// CORRECT TO AVRDEN
	}

	for (i = 0; i < GeoPar.area; i++)
	{
		x[i] *= zn;
	}

	return;
}
