/** @file displaylines.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef DISPLAYLINESWINDOW_H
#define DISPLAYLINESWINDOW_H

#include "sd_line_t.hpp"

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QWidget;
class QPixmap;
class QPushButton;
class QString;

class displaylineswindow : public QDialog
{ 
    Q_OBJECT

public:
    displaylineswindow( QWidget* parent = 0, const char* name = 0, QPixmap* pixmap = 0, bool modal = FALSE, WFlags fl = 0, int x = 0, int y = 0 );
    ~displaylineswindow();

    QString imagename;
    QPushButton* savebutton;
    QPushButton* closebutton;
    QWidget* pixmapwidget;
    QPixmap* localpixmap;
public slots:
    void saveImage();
};

#endif // DISPLAYLINESWINDOW_H
