/** @file displaywidget.cpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#include "displaywidget.hpp"

#include <qwidget.h>

/* 
 *  Constructs a displaywidget which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
displayWidget::displayWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{

}

/*  
 *  Destroys the object and frees any allocated resources
 */
displayWidget::~displayWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

void displayWidget::mousePressEvent(QMouseEvent* e)
{
  emit clicked(e->x(), e->y());
}
