/** @file sd_line_t.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

/** Deniz, July 2004 -- August 2005
    provides stuff that classes relating to each 'line' to be plotted need
*/
#ifndef _SD_LINE_T
#define _SD_LINE_T

class QPainter;

namespace sd_line_t {
  // number of pixels left blank as buffer outside plot area. 
  // X is both left and right, Y is both top and bot.
  //  MUST be natural number and not too big.
  extern int WIDTH;
  extern int HEIGHT;
  extern int XWINPAD; // assume the paddings are NEVER reassigned
  extern int YWINPAD;
  extern int YAXISNOTCHLABELOFFSET;
  extern int YAXISLABELOFFSET;
  extern double Y_HALF_FUDGE_FACTOR;
  extern int X_HALF_FUDGE_INCREMENT;
  extern void drawBoundary(QPainter& P);  // boundary JUST OUTSIDE the actual paint area
  extern void drawBigPoint(QPainter& P, int cx, int cy); // defined in sd_line_t.cpp
} // -- namespace sd_line_t

// logically, the following structs/classes should be defined
// within namespace sd_line_t as well, but it would be rather clunky 
//   and enough abstraction is already provided.

//typedef 
struct point_real_t{
  int x;
  double y;
} ;


/* single pixel coord in the window */
//typedef 
struct point_window_t{
  int x;
  int y;
} ;

#endif
