/** @file variables.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef _VARIABLES_H
#define _VARIABLES_H

#define NaI 2147483647;

#include <cstdlib>
#include <cstdio>
#include <DIGFile.h>
#include <DIGFileSnarkProj.h>
// #include <PRJFile.h>
#include <qwidget.h>

#include "image.hpp"
#include "proj.hpp"
#include "eval_helper.hpp"

#ifdef SNARKDISPLAY_H
bool openprojfil=false; //(JD 1/27/04)
bool openrecfil=false,phantomexists=false;
int Sizex,Sizey,maxSizex,maxSizey,numimages;
unsigned int prjnum,usrays;
bool allglobal, alldifference;
double globalmax= -100000,globalmin=100000,lowglobalthresh,highglobalthresh;
double globaldiffmax= -100000, globaldiffmin = 100000;
Snarkimage **imageset;
Snarkproj *projfil;
DIGFile digrecfil;
// PRJFile digprojfil;
DIGFileSnarkProj digprojfil;
DIGDataFormat dataformat,projformat;
const char *nameproj,*projname,**settitles;
unsigned int **imageindexes;
bool *displaywindowactive;
char **imagetitles,**titlesmeas;
eval_execution_set myEES; // class defined in eval_helper.hpp
QWidget *desk;
#else
extern bool openprojfil; //(JD 1/27/04)
extern bool openrecfil,phantomexists;
extern int Sizex,Sizey,maxSizex,maxSizey,numimages;
extern unsigned int prjnum,usrays;
extern bool allglobal, alldifference;
extern double globalmax,globalmin,lowglobalthresh,highglobalthresh;
extern double globaldiffmax, globaldiffmin;
extern Snarkimage **imageset;
extern Snarkproj *projfil;
extern DIGFile digrecfil;
// extern PRJFile digprojfil;
extern DIGFileSnarkProj digprojfil;
extern DIGDataFormat dataformat,projformat;
extern const char *nameproj,*projname,**settitles;
extern unsigned int** imageindexes;
extern bool *displaywindowactive;
extern char **imagetitles,**titlesmeas;
extern eval_execution_set myEES; // class defined in eval_helper.hpp
extern QWidget *desk;

namespace sd_line_t {
  extern int WIDTH;
  extern int HEIGHT;
  extern int XWINPAD;
  extern int YWINPAD;
  extern double Y_HALF_FUDGE_FACTOR;
  extern int X_HALF_FUDGE_INCREMENT;
}

#endif

#endif /* _VARIABLES_H has to be here! or code will be reincluded! */
