/** @file basis.h
    @package snark14Input
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef BASISWINDOW_H
#define BASISWINDOW_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;
class QCheckBox; // ++ by deniz

class basiswindow : public QDialog
{ 
    Q_OBJECT

public:
    basiswindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~basiswindow();
    QString getOutput();

    QLabel* basislabel;
    QButtonGroup* basisbuttongroup;
    QRadioButton* pixelbutton;
    QRadioButton* blobbutton;
    QCheckBox* useblobdefaultsbox;
    QLineEdit* support;
    QLabel* supportlabel;
    QLineEdit* shape;
    QLabel* shapelabel;
    QLineEdit* delta;
    QLabel* deltalabel;
    QFrame* Line9;
    QPushButton* okbutton;
    QPushButton* cancelbutton;
private slots:
      //void activateFields();
    void activateBlobFields();
    void deactivateBlobFields();
    void checkValues();
};

#endif // BASISWINDOW_H
