/** @file execute.h
    @package snark14Input
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef EXECUTEWINDOW_H
#define EXECUTEWINDOW_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QFrame;
class QLabel;
class QLineEdit;
class QMultiLineEdit;
class QPushButton;
class QRadioButton;

class executewindow : public QDialog
{ 
    Q_OBJECT

public:
    executewindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~executewindow();
    QString getOutput();

    QLabel* executelabel;
    QButtonGroup* executebuttongroup;
    QRadioButton* zerobutton;
    QRadioButton* averagebutton;
    QRadioButton* continuebutton;
    QRadioButton* phantombutton;
    QRadioButton* nonebutton;
    QLineEdit* algname;
    QLabel* algnamelabel;
    QButtonGroup* executebuttongroup2;
    QRadioButton* contourbutton;
    QRadioButton* smoothbutton;
    QRadioButton* nonebutton2;
    QLabel* algvariableslabel;
    QMultiLineEdit* algvariables;
    QLabel* nameoftheexecutionlabel;
    QLineEdit* nameoftheexecution;
    QLineEdit* threshold;
    QLabel* thresholdlabel;
    QLineEdit* weight1;
    QLabel* weight1label;
    QLineEdit* weight2;
    QLabel* weight2label;
    QLineEdit* weight3;
    QLabel* weight3label;
    QLineEdit* iterationflagline;
    QLabel* iterationflaglabel;
    QFrame* Line5;
    QPushButton* okbutton;
    QPushButton* cancelbutton;
private slots:
      //void activateFields();
    void activateContourSmoothFields();
    void deactivateContourSmoothFields();
    void checkValues();
};

#endif // EXECUTEWINDOW_H
